Skip to content
iTick
  1. Docs
  2. REST API
  3. Fund
  4. Batch Real-Time Tick

Batch Real-Time Tick

Provides batch real-time tick data streams for exchange-traded ETFs and LOFs, fully presenting transaction details for multiple funds. Supports multiple time periods from minute lines to monthly lines, with data containing millisecond-accurate timestamps, transaction prices, trading volumes and buy/sell directions, continuously updated in real-time.

GET/fund/ticks

Request Parameters

regionenumRequired

Market code

codesstringRequired

Product code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom

Response Parameters

codenumber

Response code

msgstring

Response description

dataobject▶Response result
sstring

Symbol code

ldnumber

Latest price

tnumber

Timestamp of the latest trade

vnumber

Transaction volume

Code Examples

import requests

url = "https://api.itick.org/fund/ticks?region=US&codes=QQQ,IEF"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/fund/ticks?region=US&codes=QQQ,IEF

, Run query

Response Result

{
  "code": 0,
  "msg": null,
  "data": {
    "QQQ": {
      "s": "QQQ",
      "ld": 553.88,
      "t": 1754092799000,  // 2025-08-01 23:59:59 UTC
      "v": 11888
    },
    "IEF": {
      "s": "IEF",
      "ld": 95.68,
      "t": 1754091630000,  // 2025-08-01 23:40:30 UTC
      "v": 10
    }
  }
}